org.springframework.http

## Interface HttpRequest

All Superinterfaces:
  HttpMessage

All Known Subinterfaces:
  ClientHttpRequest, ServerHttpRequest

All Known Implementing Classes:
  AbstractClientHttpRequest, HttpRequestWrapper, MockClientHttpRequest, RequestPartServletServerHttpRequest, ServletServerHttpRequest

    public interface HttpRequest
    extends HttpMessage

Represents an HTTP request message, consisting of method and uri.

Since:
  3.1
Author:
  Arjen Poutsma

### Method Summary

Methods
`HttpMethod` `getMethod()` Return the HTTP method of the request.
`URI` `getURI()` Return the URI of the request.

### Methods inherited from interface org.springframework.http.HttpMessage

`getHeaders`

### Method Detail

#### getMethod

    HttpMethod getMethod()

Return the HTTP method of the request.

Returns:
  the HTTP method as an HttpMethod enum value

#### getURI

    URI getURI()

Return the URI of the request.

Returns:
  the URI of the request